Di_types

## Typedefs

typedef int | di_compare_func(const void *key1, const void *key2)
typedef bool | di_equal_func(const void *key1, const void *key2)
typedef void | di_destroy_notify(void *data)
typedef uint32_t | di_hash_func(const void *key)
typedef void | di_hfunc(void *key, void *value, void *user_data)
typedef void | di_func(void *data, void *user_data)
typedef int | di_io_handler(const char *buf, size_t len, void *user_data)
typedef int | di_process_handler(pid_t pid, void *user_data)
typedef uint32_t | di_ksize_t

## Detailed Description

## Typedef Documentation

## di_compare_func

typedef int di_compare_func(const void *key1, const void *key2)

Compare key1 and key2

Parameters

  key1 | first key
  key2 | second key

## di_destroy_notify

typedef void di_destroy_notify(void *data)

Destroys data

Parameters

  pointer |

## di_equal_func

typedef bool di_equal_func(const void *key1, const void *key2)

Checks the equality of key1 and key2

Parameters

  key1 | first key
  key2 | second key

Returns
  true if equal

## di_hash_func

typedef uint32_t di_hash_func(const void *key)

Build hash from key

Parameters

  key | key

Returns
  hash

## di_io_handler

typedef int di_io_handler(const char *buf, size_t len, void *user_data)

Handles IO

Parameters

  buf | pointer to the io buffer
  len | size of buf
  user_data | user data

## di_ksize_t

typedef uint32_t di_ksize_t

small size type used in many internal structures

## di_process_handler

typedef int di_process_handler(pid_t pid, void *user_data)

Handler which is called after the fork

Parameters

  pid | return value of fork
  user_data | user data